Z3 |

Public Member Functions
solver::cube_generator Class Reference

`#include <z3++.h>`

## Public Member Functions
| cube_generator (solver &s)
| cube_generator (solver &s, expr_vector &vars)
cube_iterator | begin ()
cube_iterator | end ()
void | set_cutoff (unsigned c) noexcept

## Detailed Description

Definition at line 2737 of file z3++.h.

## Constructor & Destructor Documentation

## ◆ cube_generator() [1/2]

cube_generator | ( | solver & | s | ) |
| inline

Definition at line 2743 of file z3++.h.

2743 :
2744 m_solver(s),
2745 m_cutoff(0xFFFFFFFF),
2746 m_default_vars(s.ctx()),
2747 m_vars(m_default_vars)
2748 {}

## ◆ cube_generator() [2/2]

cube_generator | ( | solver & | s,
|  | expr_vector & | vars
| ) |  |
| inline

Definition at line 2750 of file z3++.h.

2750 :
2751 m_solver(s),
2752 m_cutoff(0xFFFFFFFF),
2753 m_default_vars(s.ctx()),
2754 m_vars(vars)
2755 {}

## Member Function Documentation

## ◆ begin()

cube_iterator begin | ( |  | ) |
| inline

Definition at line 2757 of file z3++.h.

2757{ return cube_iterator(m_solver, m_vars, m_cutoff, false); }

## ◆ end()

cube_iterator end | ( |  | ) |
| inline

Definition at line 2758 of file z3++.h.

2758{ return cube_iterator(m_solver, m_vars, m_cutoff, true); }

## ◆ set_cutoff()

void set_cutoff | ( | unsigned | c | ) |
| inline noexcept

Definition at line 2759 of file z3++.h.

2759{ m_cutoff = c; }